#include<iostream>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int x[n];
    int pozicija;
    for (int i=0; i<n; i++)
    {
        cin>>x[i];
        if(x[i]==k)
            pozicija=i;
    }
    if(pozicija==n-1)
        cout<<x[0];
    else
        cout<<x[pozicija+1];
    return 0;
}